package com.ym.mec.task.fallback;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import com.ym.mec.task.TaskRemoteService;

@Component
public class TaskRemoteServiceFallback implements TaskRemoteService {

	private final static Logger logger = LoggerFactory.getLogger(TaskRemoteServiceFallback.class);

	@Override
	public void refreshPaymentFeeStatus() {
		logger.info("更新学生缴费状态的服务调用失败");
	}

	@Override
	public void refreshUserMusicGroupPaymentStatusTask() {
		logger.info("刷新学员乐团付费状态");
	}

	@Override
	public void vipGroupAwardedMonthlyRewards() {
		logger.info("vip课月度奖励的服务调用失败");
	}

	@Override
	public void updateCourseScheduleToOverStatus() {
		logger.info("更新课程状态至已结束服务调用失败");
	}

	@Override
	public void pushNoSignOutMessage() {
		logger.info("推送未签退消息提醒的服务调用失败");
	}

	@Override
	public void vipGroupTeacherSalarySettlement() {
		logger.info("vip课课酬结算的服务调用失败");
	}

	@Override
	public void practiceTeacherSalarySettlement() {
		logger.info("网管课课酬结算的服务调用失败");
	}

	@Override
	public void MusicGroupTeacherSalarySettlement() {
		logger.info("乐团课课酬结算的服务调用失败");
	}

	@Override
	public void studentCoursesScheduleRemind() {
		logger.info("有课提醒的服务调用失败");
	}

	@Override
	public void studentSignInRemind() {
		logger.info("上课提醒的服务调用失败");
	}

	@Override
	public void studentHomeworkRemind() {
		logger.info("学生作业提醒的服务调用失败");
	}

	@Override
	public void teacherCoursesScheduleRemind() {
		logger.info("老师有课提醒的服务调用失败");
	}

	@Override
	public void teacherSignInRemind() {
		logger.info("老师上课提醒的服务调用失败");
	}

	@Override
	public void homeworkNoReplyRemind() {
		logger.info("老师未回复作业提醒的服务调用失败");
	}

	@Override
	public void queryOrderStatus() {
		logger.info("查询订单状态的服务调用失败");
	}

	@Override
	public void updateVipGroupToFinishedStatus() {
		logger.info("更新VIP课程状态至已结束的服务调用失败");
	}

	@Override
	public void stopVipGroupWithNoCreate() {
		logger.info("取消达到报名时间未达到报名人数的vip课失败");
	}

	@Override
	public void teacherCourseStatistic() {
		logger.info("统计老师课酬失败");
	}

	@Override
	public void updateHistoryPracticeGroupStatus() {
		logger.info("历史网管课状态更新失败");
	}

	@Override
	public void pushStudyReport() {
		logger.info("练习报告推送失败");
	}

	@Override
	public void pushNeedPostReport() {
		logger.info("新增待填写月报推送失败");
	}

	@Override
	public void createEvaluate() {
		logger.info("预生成待提交月报失败");
	}

	@Override
	public void pushNeedReview2Teacher() {
		logger.info("新增待填写评论推送失败");
	}

	@Override
	public void noStudentsCourseGroupRemind() {
		logger.info("对外课程组无学生推送失败");
	}

	@Override
	public void finishCourseGroup() {
		logger.info("更新对外课程组至已结束失败");
	}

	@Override
	public void exercisesSituationStatistics() {
		logger.info("学员服务信息统计失败");
	}

	@Override
	public void updateStudentOperatingTag() {
		logger.info("更新学生运营指标失败");
	}

	@Override
	public void updateMusicGroupPaymentCalenderStatus() {
		logger.info("更新乐团缴费日历的状态失败");
	}

	@Override
	public void pushWaitSendMessageTask() {
		logger.info("延时推送执行失败");
	}

	@Override
	public void pushTeacherExceptionAttendanceTask() {
		logger.info("教师异常考勤推送失败");
	}

	@Override
	public void updateMusicGroupStudentFeeStatus() {
		logger.info("更新乐团学员缴费状态失败");
	}

	@Override
	public void studentServeRemind() {
		logger.info("本周应布置课外训练推送失败");
	}

	@Override
	public void operatingReport() {
		logger.info("经营报表生成失败");
	}

	@Override
	public void goodsRepertoryFBIWarnTask() {
		logger.info("商品库存预警推送失败");
	}

	@Override
	public void autoAffirmReceiveTask() {
		logger.info("确认收货执行失败");
	}

	@Override
	public void countIndexBaseData() {
		logger.info("首页数据统计失败");
	}
}
